HRESULT GetPin(
    IBaseFilter *pFilter,
    PIN_DIRECTION dirrequired,
    int iNum,
    IPin **ppPin);

IPin *GetInPin(IBaseFilter *pFilter, int Num);
IPin *GetOutPin(IBaseFilter *pFilter, int Num);
